Package Gnumed :: Package business :: Module gmClinicalCalculator :: Class cClinicalCalculator |
[frames] | no frames]

# Class cClinicalCalculator

source code

    object --+
             |
            cClinicalCalculator

Instance Methods
__init__(self, patient=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
remove_from_cache(self, key=None) | source code
d(self, initial) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| patient
| eGFR
| eGFR_MDRD_short
| eGFR_Schwartz
| body_surface_area
Inherited from `object`: `__class__`

Method Details

### __init__(self, patient=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

Property Details

### patient Get Method: unreachable(x) Set Method: _set_patient(self, patient)

### eGFR Get Method: _get_egfr(self) Set Method: unreachable(x)

### eGFR_MDRD_short Get Method: _get_mdrd_short(self) Set Method: unreachable(x)

### eGFR_Schwartz Get Method: _get_gfr_schwartz(self) Set Method: unreachable(x)

### body_surface_area Get Method: _get_body_surface_area(self) Set Method: unreachable(x)